[package]
name = "shell"
version = "0.1.0"
edition = "2024"

[dependencies]
cross.workspace = true
logsink.workspace = true
stuff.workspace = true

clap.workspace = true
thiserror.workspace = true
log.workspace = true

nom = "7.1.3"

[target.'cfg(target_os = "yggdrasil")'.dependencies]
runtime.workspace = true

[target.'cfg(unix)'.dependencies]
libc = "*"

[dev-dependencies]
runtime.workspace = true
libc = "*"

[lints]
workspace = true
